Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.data
Enum LoadTestStatistics.Statistic

    java.lang.Object
      java.lang.Enum<LoadTestStatistics.Statistic>
          com.eviware.soapui.impl.wsdl.loadtest.data.LoadTestStatistics.Statistic

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LoadTestStatistics.Statistic>

Enclosing class:
  LoadTestStatistics

    public static enum LoadTestStatistics.Statistic

extends java.lang.Enum<LoadTestStatistics.Statistic>

Enum Constant Summary
`AVERAGE`
`BPS`
`BYTES`
`COUNT`
`ERRORS`
`LAST`
`MAXIMUM`
`MININMUM`
`TPS`

Method Summary
`static LoadTestStatistics.Statistic` | `forIndex(int column)`
`java.lang.String` | `getDescription()`
`int` | `getIndex()`
`java.lang.String` | `getName()`
`static LoadTestStatistics.Statistic` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LoadTestStatistics.Statistic[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MININMUM

    public static final LoadTestStatistics.Statistic MININMUM

### MAXIMUM

    public static final LoadTestStatistics.Statistic MAXIMUM

### AVERAGE

    public static final LoadTestStatistics.Statistic AVERAGE

### LAST

    public static final LoadTestStatistics.Statistic LAST

### COUNT

    public static final LoadTestStatistics.Statistic COUNT

### TPS

    public static final LoadTestStatistics.Statistic TPS

### BYTES

    public static final LoadTestStatistics.Statistic BYTES

### BPS

    public static final LoadTestStatistics.Statistic BPS

### ERRORS

    public static final LoadTestStatistics.Statistic ERRORS

Method Detail

### values

    public static final LoadTestStatistics.Statistic[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LoadTestStatistics.Statistic c : LoadTestStatistics.Statistic.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LoadTestStatistics.Statistic valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getDescription

    public java.lang.String getDescription()

### getIndex

    public int getIndex()

### getName

    public java.lang.String getName()

### forIndex

    public static LoadTestStatistics.Statistic forIndex(int column)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.